JobSub - Bug #10629

jobsub_fetchlog only works with KCA certs
10/24/2015 10:50 AM - Marc Mengel
Description

If you have a certificate which is mapped to the production role in VOMS, you ought to be
able to list/fetch logs with it. However:

[poms@fermicloud045 prod_mgmt_db]$ X509_USER_CERT=/home/poms/private/gsi/pomscert.pem X509_USER_KE
Y=$HOME /private/gsi/pomskey.pem Jjobsub_fetchlog --group=nova —--role=Production --list

cannot extract user information from /home/poms/private/gsi/pomscert.pem

[poms@fermicloud045 prod_mgmt_db]$

| patched my copy as follows:

[poms@fermicloud045 NULL]$ diff jobsub_fetchlog.orig jobsub_fetchlog
157,158c157, 161

< err = "cannot extract user information from %s"%cert

< sys.exit (err)

> if options.acctRole == "Production":

> user = options.acctGroup + "pro"

> else:

> err = "cannot extract user information from %s"%cert
> sys.exit (err)

This seems to work okay...

History

#1-01/11/2016 10:07 AM - Dennis Box
- Assignee set to Dennis Box

- Target version set to v1.1.9.1

#2 - 01/11/2016 03:46 PM - Dennis Box

- Status changed from New to Closed

This observed behavior was a problem with v1.1.7. Starting with v1.1.9, jobsub_fetchlog has a --user flag which works with both --jobid and
--list-sandboxes. The fix Marc kindly supplied is no longer needed, closing ticket.
